githubEdit

Carrier configuration endpoints

Get carrier config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to get the configuration

Responses
get
/api/carriers/{carrierId}/configuration

Update carrier config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to update the configuration

Body
or
or
or
or
or
or
or
or
or
Responses
put
/api/carriers/{carrierId}/configuration

Get country service mapping

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to get a countryservicemapping for

countryServiceMappingIdstringRequired

ID of the countryservicemapping

Responses
get
/api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

List country service mappings

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to get the countryservicemappings for

Responses
get
/api/carriers/{carrierId}/configuration/countryservicemappings

Create country service mapping

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to create a countryservicemapping for

Body

CarrierCountryServiceMappingForCreation

carrierConfigurationVersioninteger · int64Required

The version of the carrier configuration to be used in optimistic locking mechanisms.

Example: 42
carrierProductCategorystring · enumOptional

Desired product class to choose when ordering a label, this is not a carrier specific value

Possible values:
countAsTransitDayBeforestringOptional
destinationCountriesstring[] · min: 1OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated Use destination instead.

Example: DE
productsstring[]OptionalExample: EXPRESS
sourceCountrystring · min: 2 · max: 2OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated Use source instead.

Example: DE
Responses
chevron-right
201

CarrierCountryServiceMapping successfully created. The result is in the body.

application/json

CarrierCountryServiceMapping

carrierProductCategorystring · enumOptional

Desired product class to choose when ordering a label, this is not a carrier specific value

Possible values:
countAsTransitDayBeforestringOptional
destinationCountriesstring[] · min: 1OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated - Use destination instead.

Example: DE
idstringRequired

unique identifier for a countryServiceMapping

Example: bc5b581a-8f65-45b0-9f81-6e0d4babbcb2
productsstring[]Optional

Array of products for the given mapping

Example: EXPRESS
sourceCountrystring · min: 2 · max: 2OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated - Use source instead.

Example: DE
staticCCSMRefstringOptional
post
/api/carriers/{carrierId}/configuration/countryservicemappings

Delete country service mapping

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to delete a countryservicemapping from

countryServiceMappingIdstringRequired

ID of the countryservicemapping

Responses
delete
/api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

No content

Update country service mapping

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to update a countryservicemapping of

countryServiceMappingIdstringRequired

ID of the countryservicemapping

Body

CarrierCountryServiceMappingForUpdate

carrierConfigurationVersioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
carrierProductCategorystring · enumOptional

Desired product class to choose when ordering a label, this is not a carrier specific value

Possible values:
countAsTransitDayBeforestringOptional
destinationCountriesstring[] · min: 1OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated Use destination instead.

Example: DE
productsstring[]Optional

Array of products for the given mapping

Example: EXPRESS
sourceCountrystring · min: 2 · max: 2OptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated Use source instead.

Example: DE
Responses
patch
/api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

Last updated